## ocaml-dbus 0.06

=== Makefile ===
CC = gcc
CFLAGS = -Wall -fPIC -O2 `pkg-config --cflags dbus-1` -I$(OCAMLLIBDIR)
OCAMLC = ocamlc
OCAMLOPT = ocamlopt

LDFLAGS = -cclib -L./

OCAMLOPTFLAGS =
OCAML_PKG_NAME = dbus

OCAMLABI := $(shell ocamlc -version)
OCAMLLIBDIR := $(shell ocamlc -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

CHECK_PKGS = dbus-1

INTERFACES = dBus.cmi dBus.mli
LIBS = dBus.cmxa dBus.cma
PROGRAMS = test

all: $(INTERFACES) $(LIBS) $(PROGRAMS)

bins: $(PROGRAMS)

libs: $(LIBS)

dBus.cmxa: libdbus_stubs.a dbus_stubs.a dBus.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -cclib -ldbus_stubs -cclib -ldbus-1 -o $@ dBus.cmx

dBus.cma: libdbus_stubs.a dBus.cmi dBus.cmo
	$(OCAMLC) -a -dllib dlldbus_stubs.so -cclib -ldbus_stubs -cclib -ldbus-1 -o $@ -custom dBus.cmo

dbus_stubs.a: dbus_stubs.o
	ocamlmklib -o dbus_stubs $+

libdbus_stubs.a: dbus_stubs.o
	ar rcs $@ $+
	ocamlmklib -o dbus_stubs $+

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

.PHONY: check
check:
	$(foreach pkg, $(CHECK_PKGS), \
		@pkg-config --modversion $(pkg) > /dev/null 2>&1 || \
			(echo "$(pkg) package not found" > /dev/stderr && exit 1))

.PHONY: install
install: $(LIBS)
	ocamlfind install -destdir $(OCAMLDESTDIR) -ldconf ignore $(OCAML_PKG_NAME) META $(INTERFACES) $(LIBS) *.a *.so *.cmx

uninstall:
	ocamlfind remove -destdir $(OCAMLDESTDIR) $(OCAML_PKG_NAME)

test: dBus.cmxa test.ml
	$(OCAMLOPT) -o $@ $(LDFLAGS) unix.cmxa $+

clean:
	rm -f *.o *.so *.a *.cmo *.cmi *.cma *.cmx *.cmxa $(LIBS) $(PROGRAMS)

## ocaml-dbus 0.29

=== Makefile ===
DBUS_CFLAGS = -ccopt "$(shell pkg-config --cflags dbus-1)"
OCAMLC ?= ocamlc
OCAMLOPT ?= ocamlopt
OCAMLMKLIB ?= ocamlmklib

DBUS_LDFLAGS = -cclib "" $(shell pkg-config --libs dbus-1)

OCAMLOPTFLAGS =
OCAML_PKG_NAME = dbus

OCAMLABI := $(shell $(OCAMLC) -version)
OCAMLLIBDIR := $(shell $(OCAMLC) -where)
OCAMLDESTDIR ?= $(OCAMLLIBDIR)

OCAML_TEST_INC = -I `ocamlfind query oUnit`
OCAML_TEST_LIB = `ocamlfind query oUnit`/oUnit.cmxa

CHECK_PKGS = dbus-1

INTERFACES = dBus.cmi dBus.mli
LIBS_NAT = dBus.cmxa
LIBS_BYTE = dBus.cma
LIBS = $(LIBS_BYTE) $(LIBS_NAT)
PROGRAMS = test

all: $(INTERFACES) $(LIBS_NAT) $(LIBS_BYTE)

all-opt: all

all-byte: $(INTERFACES) $(LIBS_BYTE)

bins: $(PROGRAMS)

libs: $(LIBS)

dBus.cmxa: libdbus_stubs.a dbus_stubs.a dBus.cmx
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -a -cclib -ldbus_stubs -cclib -ldbus-1 -o $@ dBus.cmx

dBus.cma: libdbus_stubs.a dBus.cmi dBus.cmo
	$(OCAMLC) -a -dllib dlldbus_stubs.so -cclib -ldbus_stubs -cclib -ldbus-1 -o $@ dBus.cmo

dbus_stubs.a: libdbus_stubs.a

libdbus_stubs.a: dbus_stubs.o
	$(OCAMLMKLIB) -o dbus_stubs $(DBUS_LDFLAGS) $+

%.cmo: %.ml
	$(OCAMLC) -c -o $@ $<

%.cmi: %.mli
	$(OCAMLC) -c -o $@ $<

%.cmx: %.ml
	$(OCAMLOPT) $(OCAMLOPTFLAGS) -c -o $@ $<

%.o: %.c
	$(OCAMLC) $(DBUS_CFLAGS) -c -o $@ $<

.PHONY: check
check:
	$(foreach pkg, $(CHECK_PKGS), \
		@pkg-config --modversion $(pkg) > /dev/null 2>&1 || \
			(echo "$(pkg) package not found" > /dev/stderr && exit 1))

.PHONY: install
install: $(LIBS)
	ocamlfind install -destdir $(OCAMLDESTDIR) -ldconf ignore $(OCAML_PKG_NAME) META $(INTERFACES) $(LIBS) *.a *.so *.cmx

install-opt: install

install-byte: all-byte
	ocamlfind install -destdir $(OCAMLDESTDIR) -ldconf ignore $(OCAML_PKG_NAME) META $(INTERFACES) $(LIBS_BYTE) *.a *.so

uninstall:
	ocamlfind remove -destdir $(OCAMLDESTDIR) $(OCAML_PKG_NAME)

test: dBus.cmxa test.ml
	$(OCAMLOPT) -o $@ -cclib -L. unix.cmxa $+

.PHONY: example
example: dBus.cmxa example.ml
	$(OCAMLOPT) -o $@ -cclib -L. $+

example_avahi: dBus.cmxa example_avahi.ml
	$(OCAMLOPT) -o $@ -cclib -L. $+

clean:
	rm -f *.o *.so *.a *.cmo *.cmi *.cma *.cmx *.cmxa $(LIBS) $(PROGRAMS)

=== debian/changelog ===
ocaml-dbus (0.29-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove constraints unnecessary since buster (oldstable):
    + libdbus-ocaml-dev: Drop versioned constraint on libdbus-1-dev (>= 1.2.24)
      in Depends.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:28:11 +0200

ocaml-dbus (0.29-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 13:29:00 +0200

ocaml-dbus (0.29-5) unstable; urgency=medium

  * Team upload
  * Disable test on bytecode architectures (Closes: #966080)
  * libdbus-ocaml: add Breaks+Replaces libdbus-ocaml-dev (Closes: #966089)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 11:21:13 +0200

ocaml-dbus (0.29-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13 (Closes: #965753)
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Update Vcs-* to point to salsa

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Jul 2020 09:43:58 +0200

ocaml-dbus (0.29-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump build-dependency to libdbus-1-dev
  * Make libdbus-ocaml-dev depend on libdbus-1-dev (Closes: #734844)
  * Switch source format to 3.0 (quilt)
  * Recommend findlib
  * Update Homepage and Vcs-*

  [ Sylvain Le Gall ]
  * Fix debian/copyright: license is LGPL 2.1 + OCaml linking exception
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watchfile

 -- Stéphane Glondu <glondu@debian.org>  Sat, 18 Jan 2014 10:47:28 +0100

ocaml-dbus (0.29-1) unstable; urgency=low

  * New upstream release (Closes: #542771)
  * Add debian/gbp.conf to force using pristine-tar
  * Upgrade Standards-Version to 3.8.3 (section ocaml)
  * Use dh-ocaml 0.9.1 (depends and dh_ocamldoc)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 25 Oct 2009 17:51:18 +0000

ocaml-dbus (0.07-1) unstable; urgency=low

  * New Upstream Version
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Patch 01_destdir applied upstream, remove it

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Mar 2009 01:19:34 +0100

ocaml-dbus (0.06-1) unstable; urgency=low

  * Initial release. (Closes: #485308)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 08 Jun 2008 23:19:41 +0200

=== debian/control ===
Source: ocaml-dbus
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libdbus-1-dev,
 pkg-config,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dbus
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dbus.git
Homepage: https://projects.snarc.org/ocaml-dbus/

Package: libdbus-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libdbus-ocaml-dev (<< 0.29-4)
Replaces: libdbus-ocaml-dev (<< 0.29-4)
Provides: ${ocaml:Provides}
Description: OCaml bindings for the D-Bus API (runtime)
 This library provides OCaml bindings for using D-Bus.
 .
 D-Bus is a projects that permits program to communicate with each other, using
 a simple IPC protocol
 .
 This package contains shared library.

Package: libdbus-ocaml-dev
Architecture: any
Depends:
 libdbus-1-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml bindings for the D-Bus API (development files)
 This library provides OCaml bindings for using D-Bus.
 .
 D-Bus is a projects that permits program to communicate with each other, using
 a simple IPC protocol
 .
 This package contains header and OCaml library.

=== debian/watch ===
version=4
https://projects.snarc.org/ocaml-dbus download/ocaml_dbus-([0-9\.]+).tar.bz2
